Bug 442906 - libata: sata_nv - disable ADMA by default
libata: sata_nv - disable ADMA by default
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Jeff Garzik
Martin Jenner
: Reopened
: 427219 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-17 11:03 EDT by David Milburn
Modified: 2013-07-02 22:35 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:13:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Milburn 2008-04-17 11:03:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9b4pre) Gecko/2008030315 Red Hat/3.0b4pre-0.beta3.4.el5 Minefield/3.0b4pre

Description of problem:
The sata_nv driver should disable ADMA by default due to 

1. lockup during resume
2. lockup after hotplug
3. timeout of FLUSH after NCQ writes 

Version-Release number of selected component (if applicable):
kernel-2.6.18-84.el5

How reproducible:
Sometimes


Steps to Reproduce:
Possibly on suspend/resume, hotplug, or IO stress.

Actual Results:
Possible system lockup or reset.

Expected Results:
System should not lockup or reset.

Additional info:
commit bb25b35817528eebc80cb4440cd83bc942edc246
Author: Jeff Garzik <jeff@garzik.org>
Commit from jgarzik/libata-dev.git#upstream

Date:   Fri Apr 4 03:34:45 2008 -0400

    [libata] sata_nv: disable ADMA by default
    
    Continues to have open issues, and engineering support is extremely difficul
    to come by, according to fellow NVIDIA engineers.
    
    Signed-off-by: Jeff Garzik <jgarzik@redhat.com>
Comment 1 Bryn M. Reeves 2008-04-17 12:00:32 EDT

*** This bug has been marked as a duplicate of 441707 ***
Comment 2 David Milburn 2008-04-17 12:26:55 EDT
Reopen, BZ 441707 is for RHEL4
Comment 3 RHEL Product and Program Management 2008-07-25 13:04:32 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 4 Ludek Smid 2008-07-25 17:55:17 EDT
Unfortunately the previous automated notification about the
non-inclusion of this request in Red Hat Enterprise Linux 5.3 used
the wrong text template. It should have read: this request has been
reviewed by Product Management and is not planned for inclusion
in the current minor release of Red Hat Enterprise Linux.

If you would like this request to be reviewed for the next minor
release, ask your support representative to set the next rhel-x.y
flag to "?" or raise an exception.
Comment 8 Don Zickus 2008-09-09 17:15:41 EDT
in kernel-2.6.18-109.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 14 errata-xmlrpc 2009-01-20 15:13:36 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html
Comment 16 David Milburn 2009-03-02 12:47:05 EST
*** Bug 427219 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.